OpenTTD: Blitter_8bppOptimized Class Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Structures | Public Member Functions
Blitter_8bppOptimized Class Reference

8bpp blitter optimised for speed. More...

`#include <8bpp_optimized.hpp>`

Inheritance diagram for Blitter_8bppOptimized:

## Data Structures
struct | SpriteData
| Data stored about a (single) sprite. More...

## Public Member Functions
void | Draw (Blitter::BlitterParams *bp, BlitterMode mode, ZoomLevel zoom)
| Draw an image to the screen, given an amount of params defined above.
Sprite * | Encode (const SpriteLoader::Sprite *sprite, AllocatorProc *allocator)
| Convert a sprite from the loader to our own format.
const char * | GetName ()
| Get the name of the blitter, the same as the Factory-instance returns.
Public Member Functions inherited from Blitter_8bppBase
uint8 | GetScreenDepth ()
| Get the screen depth this blitter works for.
void | DrawColourMappingRect (void *dst, int width, int height, PaletteID pal)
| Draw a colourtable to the screen.
void * | MoveTo (void *video, int x, int y)
| Move the destination pointer the requested amount x and y, keeping in mind any pitch and bpp of the renderer.
void | SetPixel (void *video, int x, int y, uint8 colour)
| Draw a pixel with a given colour on the video-buffer.
void | DrawRect (void *video, int width, int height, uint8 colour)
| Make a single horizontal line in a single colour on the video-buffer.
void | CopyFromBuffer (void *video, const void *src, int width, int height)
| Copy from a buffer to the screen.
void | CopyToBuffer (const void *video, void *dst, int width, int height)
| Copy from the screen to a buffer.
void | CopyImageToBuffer (const void *video, void *dst, int width, int height, int dst_pitch)
| Copy from the screen to a buffer in a palette format for 8bpp and RGBA format for 32bpp.
void | ScrollBuffer (void *video, int &left, int &top, int &width, int &height, int scroll_x, int scroll_y)
| Scroll the videobuffer some 'x' and 'y' value.
int | BufferSize (int width, int height)
| Calculate how much memory there is needed for an image of this size in the video-buffer.
void | PaletteAnimate (const Palette &palette)
| Called when the 8bpp palette is changed; you should redraw all pixels on the screen that are equal to the 8bpp palette indexes 'first_dirty' to 'first_dirty + count_dirty'.
Blitter::PaletteAnimation | UsePaletteAnimation ()
| Check if the blitter uses palette animation at all.
int | GetBytesPerPixel ()
| Get how many bytes are needed to store a pixel.
Public Member Functions inherited from Blitter
virtual void | DrawLine (void *video, int x, int y, int x2, int y2, int screen_width, int screen_height, uint8 colour, int width, int dash=0)
| Draw a line with a given colour.
virtual void | PostResize ()
| Post resize event.

## Additional Inherited Members
Public Types inherited from Blitter
enum | PaletteAnimation { PALETTE_ANIMATION_NONE, PALETTE_ANIMATION_VIDEO_BACKEND, PALETTE_ANIMATION_BLITTER }
| Types of palette animation. More...

## Detailed Description

8bpp blitter optimised for speed.

Definition at line 19 of file 8bpp_optimized.hpp.

The documentation for this class was generated from the following files:

- src/blitter/8bpp_optimized.hpp
- src/blitter/8bpp_optimized.cpp